<?php
// Version: 1.0; Settings

function template_options()
{
	global $context, $settings, $options, $scripturl, $txt, $days;

	$context['theme_options'] = array(
		array(
			'id' => 'show_board_desc',
			'label' => $txt[732],
		),
		array(
			'id' => 'show_children',
			'label' => $txt['show_children'],
		),
		array(
			'id' => 'show_no_avatars',
			'label' => $txt['show_no_avatars'],
		),
		array(
			'id' => 'show_no_signatures',
			'label' => $txt['show_no_signatures'],
		),
		array(
			'id' => 'show_no_censored',
			'label' => $txt['show_no_censored'],
		),
		array(
			'id' => 'return_to_post',
			'label' => $txt['return_to_post'],
		),
		array(
			'id' => 'view_newest_first',
			'label' => $txt['recent_posts_at_top'],
		),
		array(
			'id' => 'view_newest_pm_first',
			'label' => $txt['recent_pms_at_top'],
		),
		array(
			'id' => 'popup_messages',
			'label' => $txt['popup_messages'],
		),
		array(
			'id' => 'copy_to_outbox',
			'label' => $txt['copy_to_outbox'],
		),
		array(
			'id' => 'auto_notify',
			'label' => $txt['auto_notify'],
		),
		array(
			'id' => 'calendar_start_day',
			'label' => $txt['calendar_start_day'],
			'options' => array(
				0 => $days[0],
				1 => $days[1],
			),
		),
		array(
			'id' => 'display_quick_reply',
			'label' => $txt['display_quick_reply'],
			'options' => array(
				0 => $txt['display_quick_reply1'],
				1 => $txt['display_quick_reply2'],
				2 => $txt['display_quick_reply3']
			),
		),
		array(
			'id' => 'display_quick_mod',
			'label' => $txt['display_quick_mod'],
			'options' => array(
				0 => $txt['display_quick_mod_none'],
				1 => $txt['display_quick_mod_check'],
				2 => $txt['display_quick_mod_image'],
			),
		),
	);
}

function template_settings()
{
	global $context, $settings, $options, $scripturl, $txt;

	$context['theme_settings'] = array(
		array(
			'id' => 'number_recent_posts',
			'label' => $txt['number_recent_posts'],
			'description' => $txt['number_recent_posts_desc'],
			'type' => 'number',
		),
		array(
			'id' => 'display_who_viewing',
			'label' => $txt['who_display_viewing'],
			'options' => array(
				0 => $txt['who_display_viewing_off'],
				1 => $txt['who_display_viewing_numbers'],
				2 => $txt['who_display_viewing_names'],
			),
		),
		array(
			'id' => 'smiley_sets_default',
			'label' => $txt['smileys_default_set_for_theme'],
			'options' => $context['smiley_sets'],
		),
		array(
			'id' => 'show_modify',
			'label' => $txt[383],
		),
		array(
			'id' => 'show_member_bar',
			'label' => $txt[510],
		),
		array(
			'id' => 'linktree_link',
			'label' => $txt[522],
		),
		array(
			'id' => 'show_profile_buttons',
			'label' => $txt[523],
		),
		array(
			'id' => 'show_mark_read',
			'label' => $txt[618],
		),
		array(
			'id' => 'linktree_inline',
			'label' => $txt['smf105'],
			'description' => $txt['smf106'],
		),
		array(
			'id' => 'show_sp1_info',
			'label' => $txt['smf200'],
		),
		array(
			'id' => 'allow_no_censored',
			'label' => $txt['allow_no_censored'],
		),
		array(
			'id' => 'show_bbc',
			'label' => $txt[740],
		),
		array(
			'id' => 'additional_options_collapsable',
			'label' => $txt['additional_options_collapsable'],
		),
		array(
			'id' => 'enable_news',
			'label' => $txt[379],
		),
		array(
			'id' => 'show_newsfader',
			'label' => $txt[387],
		),
		array(
			'id' => 'newsfader_time',
			'label' => $txt[739],
			'type' => 'number',
		),
		array(
			'id' => 'show_user_images',
			'label' => $txt[384],
		),
		array(
			'id' => 'show_blurb',
			'label' => $txt[385],
                  ),
		array(
			'id' => 'show_latest_member',
			'label' => $txt[382],
                  ),
		array(
			'id' => 'use_image_buttons',
			'label' => $txt[521],
                  ),
                  array(
			'id' => 'custom_copyright',
			'label' => $txt['custom_copyright'],
			'description' => $txt['custom_copyright_desc'],
			'type' => 'text',
                   ),
                  array(
			'id' => 'forum_about',
			'label' => $txt['forum_about_title'],
			'description' => $txt['forum_about_desc'],
			'type' => 'text',
		),
		array(
			'id' => 'show_gender',
			'label' => $txt[386],
		),
		array(
			'id' => 'hide_post_group',
			'label' => $txt['hide_post_group'],
			'description' => $txt['hide_post_group_desc'],
		),
	);
}

?>
















